Subject: [TR] Oddball TR3 Hard Top Part

From: William Brewer <[email-masked]>
Date: Sat, 27 Apr 2013 21:32:44 -0700 (PDT)

Looking through a box of unused TR3 parts I found this bracket that I
bought from TRF. No idea where it goes. I tried looking up the part number on
TRF's site and couldn't find anything like it. I've got mislabeled parts in
the past from both Moss and TRF. Maybe this if for something else. 

Supposedly it goes to the TR3 hardtop.
http://www.flickr.com/photos/39699927@N08/8687107753/in/photostream
http://www.flickr.com/photos/39699927@N08/8687110161/in/photostream

Anyone know what this is and where it's used?
     TIA,

     Bill in
Tehachapi

** [email-masked] **

Archive: http://www.team.net/archive